package core;

import javax.swing.JComboBox;
import javax.vecmath.Vector3d;

public class Utils {

	public static void setListData(JComboBox comboBox, Object[] array) {
		
		comboBox.removeAllItems();
		
		for (int i = 0; i < array.length; i++) {
			
			comboBox.addItem(array[i]);
		}
	}
	
	public static double msToKmh(double ms) {
		
		return  ms * 3.6; 
	}
	
	public static double angle(Vector3d v1, Vector3d v2) {
		
		double angle = v1.angle(v2);
		Vector3d cross = new Vector3d();
		cross.cross(v1, v2);
		
		if ( angle == 0 ) return 0;
		
		if ( cross.z < 0 ) {
			
			return -angle;
		}
		else return angle;
	}
}
