package geom;

import java.awt.Color;
import java.awt.Graphics;
import java.util.ArrayList;

import javax.vecmath.Matrix4d;

import drawing.Enviroment;

public class Rectangle extends PolyLine {
	
	float width;
	float height;

	public Rectangle(Color lineColor, Color fillColor, double sx, double sy, float width, float height) {
		
		super(lineColor, new ArrayList<Point>(), false);
		
		this.fillColor = fillColor;
		this.fillPolygon = true;
		this.width = width;
		this.height = height;
		
		this.points.add(new Point(sx - width * 0.5, sy - height * 0.5));
		this.points.add(new Point(sx + width * 0.5, sy - height * 0.5));
		this.points.add(new Point(sx + width * 0.5, sy + height * 0.5));
		this.points.add(new Point(sx - width * 0.5, sy + height * 0.5));
	}
}
