package core;

import java.io.Serializable;
import java.util.ArrayList;

import shapes.Pattern;
import shapes.Road;

public class Session implements Serializable {

	public ArrayList<Road> roads = new ArrayList<Road>();
	public ArrayList<Pattern> patterns = new ArrayList<Pattern>();
	
	public void attachObservers() {
		
		for (Road road : this.roads) {
			
			road.attachObservers();
		}
		
		for (Pattern pattern : this.patterns) {
			
			pattern.attachObservers();
		}
	}
}
