package drawing;

import java.awt.Color;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;

public class Enviroment {

	public static final int CURVE_SEGMENTS = 40;
	public static final double PIXELS_PER_UNIT = 10;
	public static final double DERIV_MUL = 4;
	public static final float ROAD_WIDTH = 10 * (float)PIXELS_PER_UNIT;
	public static final double DEFAULT_VELOCITY = 13.88889;
	public static final double VISIBILITY = 100;
	public static final int NUM_OF_ANGLES = 5;
	
	public static final Color ROAD_COLOR = new Color(0.9f, 0.9f, 0.9f);
	
	public static final DecimalFormat NUM_FORMAT = new DecimalFormat("#0.00", new DecimalFormatSymbols(Locale.US));
}
